Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.sql
Class QueryManager

    java.lang.Object
      com.ejie.r01f.sql.QueryManager

public class QueryManager
extends java.lang.Object

Clase que maneja definiciones de queries de base de datos El fichero descriptor de las queries será similar al indicado a continuación: .... ...

Constructor Summary
`QueryManager()` Constructor vacio
`QueryManager(java.io.File queryDefFile)` Constructor en base al código de aplicación y al nombre de la conexión a utilizar
`QueryManager(java.io.InputStream queryDefInputStream)` Constructor en base al código de aplicación y al nombre de la conexión a utilizar
`QueryManager(java.lang.String queryDefFilePath)` Constructor en base al código de aplicación y al nombre de la conexión a utilizar

Method Summary
`java.lang.String` | `getQuerySQL(java.lang.String entity, java.lang.String queryId)` Obtiene una query desde la definición de queries leida del fichero XML
`static void` | `main(java.lang.String[] args)` Main Method
`java.lang.String` | `printDebugInfo()` Pinta informacion de depuracion

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryManager

    public QueryManager()

  Constructor vacio

### QueryManager

    public QueryManager(java.lang.String queryDefFilePath)
                 throws InitializeException

  Constructor en base al código de aplicación y al nombre de la conexión a utilizar

Parameters:
  `queryDefFilePath` - Ruta hasta el fichero con la definición de la queries
Throws:
  `InitializeException` - si ocurre alguna excepcion durante la iniciacilizacion del mapa de queries por entidad

### QueryManager

    public QueryManager(java.io.File queryDefFile)
                 throws InitializeException

  Constructor en base al código de aplicación y al nombre de la conexión a utilizar

Parameters:
  `queryDefFile` - Fichero con la definición de la queries
Throws:
  `InitializeException` - si ocurre alguna excepcion durante la iniciacilizacion del mapa de queries por entidad

### QueryManager

    public QueryManager(java.io.InputStream queryDefInputStream)
                 throws InitializeException

  Constructor en base al código de aplicación y al nombre de la conexión a utilizar

Parameters:
  `queryDefInputStream` - Definición de la queries
Throws:
  `InitializeException` - si ocurre alguna excepcion durante la iniciacilizacion del mapa de queries por entidad

Method Detail

### getQuerySQL

    public java.lang.String getQuerySQL(java.lang.String entity,
                                        java.lang.String queryId)

  Obtiene una query desde la definición de queries leida del fichero XML

  Parameters:
    `entity` - Entidad de la query
    `queryId` - Identificador de la query
  Returns:
    Una cadena con la SQL de la query

### printDebugInfo

    public java.lang.String printDebugInfo()

  Pinta informacion de depuracion

  Returns:
    Una cadena con la informacion del mapeo de queries

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD